


section.range-slider {
    position: relative;
    width: 200px;
    height: 0px;
	margin:0;
	padding:0;

	
}

section.range-slider input {
    pointer-events: none;
    position: absolute; 
    left: 0;
    top: 0;
    width: 200px;
    outline: none;
    height: 4px;
	-webkit-appearance: none;
	vertical-align: middle;
	
	
}

section.range-slider input::-webkit-slider-runnable-track {
	background-color: #fa1800;
	  height: 4px;
	     width: 200px;
		  position: relative; 
		  vertical-align: middle;
		 
	}



section.range-slider input::-moz-range-track {
	-moz-appearance: none;
    position: relative;  
  height: 4px;
	background-color: #fa1800;
    border: 0;
	z-index:-1
}




section.range-slider input::-webkit-slider-thumb {
-webkit-appearance: none !important;

 margin-top:-7px;
border-radius: 17px;
	 background: #fff;
	 border: 2px solid #fa1800;
	 cursor:pointer;
    pointer-events: all;  
    z-index: 100;
	position:relative;
    outline: 0;
    width: 17px;
	height:17px;
	-webkit-border-radius: 17px;


}


section.range-slider input::-moz-range-thumb {
    pointer-events: all;
    position: relative ;
    z-index: 100 ;
    -moz-appearance: none !important;
    background: #fff;
    width: 14px;
	height:14px;
	 outline: 0;
-moz-border-radius: 15px;
border-radius: 15px;
 border: 2px solid #fa1800;
 cursor:pointer
	
	
}




section.range-slider input:last-of-type::-moz-range-track {
    -moz-appearance: none !important;
    background: none transparent !important;
    border: none !important;
	
}



/*hide the outline behind the border*/
input[type=range]:-moz-focusring{
    outline: 0;
}

input[type=range]:focus::-moz-range-track {
    outline: 0;
}

input[type=range]:focus::-moz-range-thumb {
    outline: 0;
}

input[type=range]::-moz-focus-outer {
    border: 0;
    }